Create a destination
curl --request POST \
--url https://api.anchorage-staging.com/v4/accounts/{accountId}/destinations \
--header 'Api-Access-Key: <api-key>' \
--header 'Api-Signature: <api-signature>' \
--header 'Api-Timestamp: <api-timestamp>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"owner": {
"type": "ACCOUNT",
"id": "<string>"
},
"type": "CRYPTO",
"name": "<string>",
"externalId": "1ca86e65-4340-4876-85f4-8334852b9c43",
"description": "<string>",
"destinationInfo": {
"address": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
"networkId": "BTC",
"assetType": "BTC",
"memo": "Internal trade ID 0xabc123"
},
"amlQuestionnaire": {
"destinationType": "FINANCIAL_INSTITUTION",
"institutionName": "Coinbase",
"institutionCountry": "US",
"selfhostedDescription": "An explanation about where this address is held",
"selfhostedWalletOwner": "MY_ORGANIZATION",
"recipientType": "PERSON",
"recipientFirstName": "Satoshi",
"recipientLastName": "Nakamoto",
"recipientFullName": "Satoshi Nakamoto",
"recipientCountry": "JP",
"recipientStreetAddress": "1234 NW Bobcat Lane, St. Robert, MO",
"recipientCity": "San Francisco",
"recipientStateProvince": "Wyoming",
"recipientPostalCode": "65584-5678"
}
}
'import requests
url = "https://api.anchorage-staging.com/v4/accounts/{accountId}/destinations"
payload = {
"owner": {
"type": "ACCOUNT",
"id": "<string>"
},
"type": "CRYPTO",
"name": "<string>",
"externalId": "1ca86e65-4340-4876-85f4-8334852b9c43",
"description": "<string>",
"destinationInfo": {
"address": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
"networkId": "BTC",
"assetType": "BTC",
"memo": "Internal trade ID 0xabc123"
},
"amlQuestionnaire": {
"destinationType": "FINANCIAL_INSTITUTION",
"institutionName": "Coinbase",
"institutionCountry": "US",
"selfhostedDescription": "An explanation about where this address is held",
"selfhostedWalletOwner": "MY_ORGANIZATION",
"recipientType": "PERSON",
"recipientFirstName": "Satoshi",
"recipientLastName": "Nakamoto",
"recipientFullName": "Satoshi Nakamoto",
"recipientCountry": "JP",
"recipientStreetAddress": "1234 NW Bobcat Lane, St. Robert, MO",
"recipientCity": "San Francisco",
"recipientStateProvince": "Wyoming",
"recipientPostalCode": "65584-5678"
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Signature": "<api-signature>",
"Api-Timestamp": "<api-timestamp>",
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Signature': '<api-signature>',
'Api-Timestamp': '<api-timestamp>',
'Api-Access-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
owner: {type: 'ACCOUNT', id: '<string>'},
type: 'CRYPTO',
name: '<string>',
externalId: '1ca86e65-4340-4876-85f4-8334852b9c43',
description: '<string>',
destinationInfo: {
address: '2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw',
networkId: 'BTC',
assetType: 'BTC',
memo: 'Internal trade ID 0xabc123'
},
amlQuestionnaire: {
destinationType: 'FINANCIAL_INSTITUTION',
institutionName: 'Coinbase',
institutionCountry: 'US',
selfhostedDescription: 'An explanation about where this address is held',
selfhostedWalletOwner: 'MY_ORGANIZATION',
recipientType: 'PERSON',
recipientFirstName: 'Satoshi',
recipientLastName: 'Nakamoto',
recipientFullName: 'Satoshi Nakamoto',
recipientCountry: 'JP',
recipientStreetAddress: '1234 NW Bobcat Lane, St. Robert, MO',
recipientCity: 'San Francisco',
recipientStateProvince: 'Wyoming',
recipientPostalCode: '65584-5678'
}
})
};
fetch('https://api.anchorage-staging.com/v4/accounts/{accountId}/destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"status": "ACTIVE",
"createdAt": "2026-08-07T12:34:56.000Z",
"externalId": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Create a destination
Permissions required: Manage Trusted Destinations
Create a destination. Creation is asynchronous: the response returns the destination’s ID and initial status, and the destination is readable immediately while its creation is in progress.
One destination per request.
POST
/
accounts
/
{accountId}
/
destinations
Create a destination
curl --request POST \
--url https://api.anchorage-staging.com/v4/accounts/{accountId}/destinations \
--header 'Api-Access-Key: <api-key>' \
--header 'Api-Signature: <api-signature>' \
--header 'Api-Timestamp: <api-timestamp>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"owner": {
"type": "ACCOUNT",
"id": "<string>"
},
"type": "CRYPTO",
"name": "<string>",
"externalId": "1ca86e65-4340-4876-85f4-8334852b9c43",
"description": "<string>",
"destinationInfo": {
"address": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
"networkId": "BTC",
"assetType": "BTC",
"memo": "Internal trade ID 0xabc123"
},
"amlQuestionnaire": {
"destinationType": "FINANCIAL_INSTITUTION",
"institutionName": "Coinbase",
"institutionCountry": "US",
"selfhostedDescription": "An explanation about where this address is held",
"selfhostedWalletOwner": "MY_ORGANIZATION",
"recipientType": "PERSON",
"recipientFirstName": "Satoshi",
"recipientLastName": "Nakamoto",
"recipientFullName": "Satoshi Nakamoto",
"recipientCountry": "JP",
"recipientStreetAddress": "1234 NW Bobcat Lane, St. Robert, MO",
"recipientCity": "San Francisco",
"recipientStateProvince": "Wyoming",
"recipientPostalCode": "65584-5678"
}
}
'import requests
url = "https://api.anchorage-staging.com/v4/accounts/{accountId}/destinations"
payload = {
"owner": {
"type": "ACCOUNT",
"id": "<string>"
},
"type": "CRYPTO",
"name": "<string>",
"externalId": "1ca86e65-4340-4876-85f4-8334852b9c43",
"description": "<string>",
"destinationInfo": {
"address": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
"networkId": "BTC",
"assetType": "BTC",
"memo": "Internal trade ID 0xabc123"
},
"amlQuestionnaire": {
"destinationType": "FINANCIAL_INSTITUTION",
"institutionName": "Coinbase",
"institutionCountry": "US",
"selfhostedDescription": "An explanation about where this address is held",
"selfhostedWalletOwner": "MY_ORGANIZATION",
"recipientType": "PERSON",
"recipientFirstName": "Satoshi",
"recipientLastName": "Nakamoto",
"recipientFullName": "Satoshi Nakamoto",
"recipientCountry": "JP",
"recipientStreetAddress": "1234 NW Bobcat Lane, St. Robert, MO",
"recipientCity": "San Francisco",
"recipientStateProvince": "Wyoming",
"recipientPostalCode": "65584-5678"
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Signature": "<api-signature>",
"Api-Timestamp": "<api-timestamp>",
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Signature': '<api-signature>',
'Api-Timestamp': '<api-timestamp>',
'Api-Access-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
owner: {type: 'ACCOUNT', id: '<string>'},
type: 'CRYPTO',
name: '<string>',
externalId: '1ca86e65-4340-4876-85f4-8334852b9c43',
description: '<string>',
destinationInfo: {
address: '2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw',
networkId: 'BTC',
assetType: 'BTC',
memo: 'Internal trade ID 0xabc123'
},
amlQuestionnaire: {
destinationType: 'FINANCIAL_INSTITUTION',
institutionName: 'Coinbase',
institutionCountry: 'US',
selfhostedDescription: 'An explanation about where this address is held',
selfhostedWalletOwner: 'MY_ORGANIZATION',
recipientType: 'PERSON',
recipientFirstName: 'Satoshi',
recipientLastName: 'Nakamoto',
recipientFullName: 'Satoshi Nakamoto',
recipientCountry: 'JP',
recipientStreetAddress: '1234 NW Bobcat Lane, St. Robert, MO',
recipientCity: 'San Francisco',
recipientStateProvince: 'Wyoming',
recipientPostalCode: '65584-5678'
}
})
};
fetch('https://api.anchorage-staging.com/v4/accounts/{accountId}/destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"status": "ACTIVE",
"createdAt": "2026-08-07T12:34:56.000Z",
"externalId": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Headers
Path Parameters
Body
application/json
Destination to create
A client-provided unique ID for the request.
As well as making the request safe to retry, this ID is recorded against the destination it creates and stays a valid key for addressing that destination. Because it is permanent, it must be unique within your organization for all time: reusing it with a different body returns a conflict.
Maximum string length:
128Example:
"1ca86e65-4340-4876-85f4-8334852b9c43"
Was this page helpful?